> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tenant Credentials

This endpoint will list all credentials that match the current tenant's monitored identifiers.


## OpenAPI

````yaml firework-v2-openapi get /firework/v2/me/feed/credentials
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/me/feed/credentials:
    get:
      tags:
        - me
      operationId: get_leaked_credentials_feed_endpoint_/me/feed/credentials
      parameters:
        - in: query
          name: size
          schema:
            default: 20
            type: integer
        - in: query
          name: from
          schema:
            type: string
        - in: query
          name: order_type
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCredentials'
          description: Success
components:
  schemas:
    PaginatedCredentials:
      properties:
        next:
          type: string
        items:
          $ref: '#/components/schemas/LeakActivityCredential'
      type: object
    LeakActivityCredential:
      properties:
        id:
          type: integer
        source_id:
          type: string
        imported_at:
          type: string
        identity_name:
          type: string
        hash:
          type: string
        domain:
          type: string
        source:
          $ref: '#/components/schemas/source'
        remediated_at:
          format: date-time
          type: string
        ignored_at:
          format: date-time
          type: string
        known_password_id:
          type: integer
        credential_hash:
          type: string
      required:
        - id
        - identity_name
        - imported_at
        - source_id
      type: object
    source:
      properties:
        id:
          type: string
        name:
          type: string
        description_en:
          type: string
        description_fr:
          type: string
        breached_at:
          type: string
        leaked_at:
          type: string
        pii_tags:
          items:
            type: string
          type: array
      required:
        - id
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````